Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Warzone 2100 Resurrection game
Name:		warzone2100
Version:	2.1.0
Release:	1
License:	GNU/GPL 
URL:		http://wz2100.net/
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.bz2
Source201:	%{name}.desktop
Patch0:		warzone2100-no_debug_flag.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  openal-devel
BuildRequires:  zlib-devel
BuildRequires:	zip

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: openal-devel
BuildRequires: physfs-devel
BuildRequires: popt-devel
BuildRequires: quesoglc-devel
BuildRequires: SDL-devel
BuildRequires: SDL_net-devel

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx
BuildConflicts: xorg-x11-drv-nvidia-legacy173xx

Requires: dejavu-fonts

%description
Warzone 2100 is a real-time strategy game, developed by Pumpkin Studios and published by Eidos Interactive. Although comparable to Earth 2150 in many significant respects, it does contain aspects that are unique. These include various radar technologies, a greater focus on artillery and counter-battery technologies, more frequent in-game cinematic updates as gameplay progress, as well as a different vehicle design method. It was released in 1999 for both PC and Playstation.
 
In late 2004 warzone was released by its copyright holders, Eidos Interactve, to the public under the GNU General Public License (GPL), and the Warzone 2100 Resurrection Project was born.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./autogen.sh
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--datadir=%_datadir \
--with-distributor="CCux-Linux"
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
cp %{SOURCE201} %{buildroot}%{_datadir}/applications

%files
%defattr(-,root,root)
%_bindir
%_datadir 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.10-1
- Version update, group correction to Games/Strategy
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.9-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.7-1
- Version update
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- Initial Release 
